eurynome-cloud-ui v2.7.0.20 已经发布

此版本更新内容包括:

  • 重要更新
    • Eurynome Cloud 版本使用 JDK 从 8 升级至 17 (注意:现有版本不在兼容 JDK 8)
  • 主要更新
    • Spring Cloud 版本升级至 2021.0.3
    • Spring Authorization Server 版本升级至 0.3.0
  • 其它更新
    • 根据 Spring Authorization Server 0.3.0 代码的变化,修改和调整现有系统代码
    • 为支持 JDK 17,同时解决老旧依赖包安全漏洞问题,临时删除现有 baidu 短信模块
    • 升级 Kryo 版本至 5.3.0,增加自定义拓展代码,解决 Kryo 现有版本与 JDK 17 不兼容问题而导致的 Jetcache 无法使用问题。
    • 升级 Xnio 版本,解决 Undertow 在 JDK 17 环境下运行,抛出 Could not initialize class org.xnio.channels.Channels 错误,导致服务无法运行问题。
    • 修复 docker-compose 配置错误。
    • 修复现有工程中残留的 FastJson 使用代码。
  • 依赖更新
    • JetCache 版本升级至 2.6.5
    • Tencentcloud-sdk-java 版本升级至 3.1.516
  • 额外说明
    • 因 Spring Authorization Server 0.3.0 默认 JDK 已升级至 11,在 JDK 8 环境下编译出错,已无法兼容 JDK 8,所以考虑升级系统使用 JDK 版本。
    • 2022 年 11 月,Spring Boot 3 将会发布,最低版本要求 JDK 17。因此,直接将 JDK 版本升级至 17,为升级至 Spring Boot 3 提前做铺垫准备。

详情查看:https://gitee.com/herodotus/eurynome-cloud-ui/releases/v2.7.0.20

返回顶部
顶部
返回顶部
顶部